Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZSimplifiedXMLEditOutput Class Reference

## Public Member Functions
| performOutput ( $dom)
| outputTag ( $element, $sectionLevel)
| formatBeforeOpeningTag ( $element, $isInline, $hasChildren)
| formatAfterOpeningTag ( $element, $isInline, $hasChildren)
| formatBeforeClosingTag ( $element, $isInline, $hasChildren)
| formatAfterClosingTag ( $element, $isInline, $hasChildren)
| callOutputHandler ( $handlerName, $element, &$params, &$sectionLevel)
| outputSection ( $element, &$attributes, &$sectionLevel)
| outputText ( $element, &$attributes, &$sectionLevel)
| outputTd ( $element, &$attributes, &$sectionLevel)
| outputHeader ( $element, &$attributes, &$sectionLevel)
| outputParagraph ( $element, &$attributes, &$sectionLevel)
| outputLine ( $element, &$attributes, &$sectionLevel)
| outputEmbed ( $element, &$attributes, &$sectionLevel)
| outputObject ( $element, &$attributes, &$sectionLevel)
| outputLink ( $element, &$attributes, &$sectionLevel)
| createLinksArray ( $dom)

## Static Public Member Functions
static | eznodeHref ( $nodeID, $showPath)

## Public Attributes
| $OutputTags
| $XMLSchema
| $Output = ''
| $NestingLevel = 0
| $LinkArray = array()

## Detailed Description

Definition at line 12 of file ezsimplifiedxmleditoutput.php.

## Member Function Documentation

## ◆ callOutputHandler()

eZSimplifiedXMLEditOutput::callOutputHandler | ( |  | $handlerName,
|  |  | $element,
|  | & | $params,
|  | & | $sectionLevel
| ) |  |

Definition at line 287 of file ezsimplifiedxmleditoutput.php.

References eZDebug\writeWarning().

Referenced by outputTag().

## ◆ createLinksArray()

eZSimplifiedXMLEditOutput::createLinksArray | ( |  | $dom | ) |

Helper function to prepare links array

Definition at line 478 of file ezsimplifiedxmleditoutput.php.

References eZDB\instance().

Referenced by performOutput().

## ◆ eznodeHref()

static eZSimplifiedXMLEditOutput::eznodeHref | ( |  | $nodeID,
|  |  | $showPath
| ) |  |
| static

Helper function to generate the href attribute value for the eznode:// protocol

Definition at line 460 of file ezsimplifiedxmleditoutput.php.

References eZContentObjectTreeNode\fetch().

Referenced by outputEmbed(), and outputLink().

## ◆ formatAfterClosingTag()

eZSimplifiedXMLEditOutput::formatAfterClosingTag | ( |  | $element,
|  |  | $isInline,
|  |  | $hasChildren
| ) |  |

Definition at line 261 of file ezsimplifiedxmleditoutput.php.

Referenced by outputTag().

## ◆ formatAfterOpeningTag()

eZSimplifiedXMLEditOutput::formatAfterOpeningTag | ( |  | $element,
|  |  | $isInline,
|  |  | $hasChildren
| ) |  |

Definition at line 215 of file ezsimplifiedxmleditoutput.php.

Referenced by outputTag().

## ◆ formatBeforeClosingTag()

eZSimplifiedXMLEditOutput::formatBeforeClosingTag | ( |  | $element,
|  |  | $isInline,
|  |  | $hasChildren
| ) |  |

Definition at line 236 of file ezsimplifiedxmleditoutput.php.

Referenced by outputTag().

## ◆ formatBeforeOpeningTag()

eZSimplifiedXMLEditOutput::formatBeforeOpeningTag | ( |  | $element,
|  |  | $isInline,
|  |  | $hasChildren
| ) |  |

Definition at line 203 of file ezsimplifiedxmleditoutput.php.

Referenced by outputTag().

## ◆ outputEmbed()

eZSimplifiedXMLEditOutput::outputEmbed | ( |  | $element,
|  | & | $attributes,
|  | & | $sectionLevel
| ) |  |

Definition at line 386 of file ezsimplifiedxmleditoutput.php.

References eznodeHref().

## ◆ outputHeader()

eZSimplifiedXMLEditOutput::outputHeader | ( |  | $element,
|  | & | $attributes,
|  | & | $sectionLevel
| ) |  |

Definition at line 339 of file ezsimplifiedxmleditoutput.php.

## ◆ outputLine()

eZSimplifiedXMLEditOutput::outputLine | ( |  | $element,
|  | & | $attributes,
|  | & | $sectionLevel
| ) |  |

Definition at line 375 of file ezsimplifiedxmleditoutput.php.

## ◆ outputLink()

eZSimplifiedXMLEditOutput::outputLink | ( |  | $element,
|  | & | $attributes,
|  | & | $sectionLevel
| ) |  |

Definition at line 420 of file ezsimplifiedxmleditoutput.php.

References eznodeHref().

## ◆ outputObject()

eZSimplifiedXMLEditOutput::outputObject | ( |  | $element,
|  | & | $attributes,
|  | & | $sectionLevel
| ) |  |

Definition at line 405 of file ezsimplifiedxmleditoutput.php.

References eZURL\url().

## ◆ outputParagraph()

eZSimplifiedXMLEditOutput::outputParagraph | ( |  | $element,
|  | & | $attributes,
|  | & | $sectionLevel
| ) |  |

Definition at line 346 of file ezsimplifiedxmleditoutput.php.

## ◆ outputSection()

eZSimplifiedXMLEditOutput::outputSection | ( |  | $element,
|  | & | $attributes,
|  | & | $sectionLevel
| ) |  |

Definition at line 309 of file ezsimplifiedxmleditoutput.php.

## ◆ outputTag()

eZSimplifiedXMLEditOutput::outputTag | ( |  | $element,
|  |  | $sectionLevel
| ) |  |

Definition at line 85 of file ezsimplifiedxmleditoutput.php.

References callOutputHandler(), formatAfterClosingTag(), formatAfterOpeningTag(), formatBeforeClosingTag(), and formatBeforeOpeningTag().

Referenced by performOutput().

## ◆ outputTd()

eZSimplifiedXMLEditOutput::outputTd | ( |  | $element,
|  | & | $attributes,
|  | & | $sectionLevel
| ) |  |

Definition at line 330 of file ezsimplifiedxmleditoutput.php.

## ◆ outputText()

eZSimplifiedXMLEditOutput::outputText | ( |  | $element,
|  | & | $attributes,
|  | & | $sectionLevel
| ) |  |

Definition at line 317 of file ezsimplifiedxmleditoutput.php.

## ◆ performOutput()

eZSimplifiedXMLEditOutput::performOutput | ( |  | $dom | ) |

Definition at line 71 of file ezsimplifiedxmleditoutput.php.

References $Output, createLinksArray(), eZXMLSchema\instance(), and outputTag().

## Member Data Documentation

## ◆ $LinkArray

eZSimplifiedXMLEditOutput::$LinkArray = array()

Definition at line 521 of file ezsimplifiedxmleditoutput.php.

## ◆ $NestingLevel

eZSimplifiedXMLEditOutput::$NestingLevel = 0

Definition at line 518 of file ezsimplifiedxmleditoutput.php.

## ◆ $Output

eZSimplifiedXMLEditOutput::$Output = ''

Definition at line 517 of file ezsimplifiedxmleditoutput.php.

Referenced by performOutput().

## ◆ $OutputTags

eZSimplifiedXMLEditOutput::$OutputTags

Definition at line 14 of file ezsimplifiedxmleditoutput.php.

## ◆ $XMLSchema

eZSimplifiedXMLEditOutput::$XMLSchema

Definition at line 516 of file ezsimplifiedxmleditoutput.php.

The documentation for this class was generated from the following file:

- ezsimplifiedxmleditoutput.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.